$(document).ready(function () {
    $("body").off('click').on("click", '.remove', remove);
    $("body").on("keyup focus blur", '.unit', autoAddRows);
    $("body").on("keyup focus blur", '.nos', autoAddRowsStaff);
    $("body").on("keyup focus blur", '.qty', itemCal);



    $('#addnew').click(function () {
        AddRows();
    });

    function autoAddRows() {
        if ($(this).closest("tr").is(":last-child")) {
            AddRows();
        }
    }

    function remove() {
        $(this).closest("tr").remove();
    }
 
    function AddRows() {
        var ctr = $('#items').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        var detail = ".fetchpart_" + ctr;
        $.post('worklashing_add.php', {ctr: ctr, hide: hide_check}, function (data) {
            $(data).appendTo('.tbody');
            ctr++;
            $('#items').val(ctr);
            $(detail).select2();
        });
    }

    function itemCal() {
        var tr = $(this).closest("tr");
        var  val1 = 0;

    

        $(".qty").each(function () {
            if (!isNaN(this.value) && this.value.length != 0) {
                val1 += parseFloat(this.value);
            }
        });
        
        $('.totqty').val(val1);
//        mainbCal();
    }
    
    
     $('#addnew2').click(function () {
        AddRowsStaff();
    });
    
     function autoAddRowsStaff() {
        var ctr = $('#items2').val();
        var tr = $(this).closest("tr");
        var srno = tr.find(".srno2").val();
        if (srno == ctr) {
            AddRowsStaff();

        }
    }
       function AddRowsStaff() {
        var ctr2 = $('#items2').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        var detail = ".fetchpart_" + ctr2;
        $.post('worklashing_staff_add.php', {ctr2: ctr2, hide: hide_check}, function (data) {
            $(data).appendTo('.staff');
            ctr2++;
            $('#items2').val(ctr2);
            $(detail).select2();
        });   
    }

});